package com.ruoyi.xq.enums.userinfo;


import lombok.Getter;

/**
 * 职业 (职业太多。 直接用汉字)
 * <p>created on 2024/2/26 16:50</p>
 * @author duet
 */
@Getter
public enum UserProfessionEnum {
    YDY("YDY","运动员"),
    JS("JS","教师"),
    JSHOU("JSHOU","教授"),
    XS("XS","学生"),
    DSZ("DSZ","董事长"),
    ZJL("ZJL","总经理"),
    FZZJ("FZZJ","副总/总监"),
    BMJL("BMJL","部门经理"),
    ZCGL("ZCGL","中层管理"),
    QYJ("QYJ","企业家"),
    GTLB("GTLB","个体老板"),
    GB("GB","干部"),
    GWY("GWY","公务员"),
    LS("LS","律师"),
    YS("YS","医生"),
    HS("HS","护士"),
    ZJXZ("ZJXZ","专家学者"),
    GCS("GCS","工程师"),
    SJS("SJS","设计师"),
    YSJ("YSJ","艺术家"),
    WY("WY","文员"),
    ZB("ZB","主播"),
    KJ("KJ","会计"),
    JSY("JSY","技术员"),
    FWY("FWY","服务员"),
    PTGR("PTGR","普通工人"),
    ZYZY("ZYZY","自由职业"),
    MRY("MRY","美容业"),
    PXS("PXS","培训师"),
    MTGZZ("MTGZZ","媒体工作者"),
    SYS("SYS","摄影师"),
    ZXS("ZXS","咨询师"),
    YH("YH","银行"),
    BX("BX","保险"),
    FCXS("FCXS","房产销售"),
    JR("JR","军人"),
    XFY("XFY","消防员"),
    JC("JC","警察"),
    GQZY("GQZY","国企职员"),
    SJ("SJ","司机"),
    ZYZ("ZYZ","种养殖"),
    XIAOSHOU("XIAOSHOU","销售"),
    JP("JP","教培老师"),
    JZSG("JZSG","建筑施工"),
    FJAB("FJAB","辅警安保"),
    XXY("XXY","程序员"),
    HQZC("HQZC","婚庆主持"),
    JGFZR("JGFZR","机构负责人"),
    YJ("YJ","医技"),
    XMGL("XMGL","项目管理"),
    DZSW("DZSW","电子商务"),
    DHZB("DHZB","带货主播"),
    JDY("JDY","鉴定员"),
    BJ("BJ","编辑"),
    JZ("JZ","记者"),
    WL("WL","物流"),
    ZXG("ZXG","装修工"),
    GCZG("GCZG","工程主管"),
    JRTZ("JRTZ","金融投资"),
    KF("KF","客服"),
    KC("KC","空乘"),
    CW("CW","财务"),
    FY("FY","翻译"),
    SYDW("SYDW","事业单位"),
    ZS("ZS","招商"),
    CS("CS","厨师"),
    YOUJIAO("YOUJIAO","幼教"),


    ;


    private final String name;
    private final String text;

    UserProfessionEnum(String name, String text) {
        this.name = name;
        this.text = text;
    }
}
